## net.i2p.data.i2cp
Interface I2CPMessageReader.I2CPMessageEventListener

All Known Implementing Classes:
  ClientMessageEventListener, I2PSessionImpl

Enclosing interface:
  I2CPMessageReader

public static interface I2CPMessageReader.I2CPMessageEventListener

Defines the different events the reader produces while reading the stream

Method Summary
`void` `disconnected(I2CPMessageReader reader)` Notify the listener that the stream the given reader was running off closed
`void` `messageReceived(I2CPMessageReader reader, I2CPMessage message)` Notify the listener that a message has been received from the given reader
`void` `readError(I2CPMessageReader reader, java.lang.Exception error)` Notify the listener that an exception was thrown while reading from the given reader

Method Detail

### messageReceived

    public void messageReceived(I2CPMessageReader reader,
                                I2CPMessage message)

  Notify the listener that a message has been received from the given reader

### readError

    public void readError(I2CPMessageReader reader,
                          java.lang.Exception error)

  Notify the listener that an exception was thrown while reading from the given reader

### disconnected

    public void disconnected(I2CPMessageReader reader)

  Notify the listener that the stream the given reader was running off closed